Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001074KdenliveEffectspublic2009-08-01 11:542010-02-20 08:16
Reporterpaillo 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityrandom
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.7.5 
Target VersionFixed in Version0.7.6 
Summary0001074: Kdenlive crashes randomly
DescriptionError message: The application Kdenlive (kdenlive) crashed and caused the signal 11 (SIGSEGV).
Additional InformationUbuntu 9.04 KDE 4.2.2 Kdenlive 0.7.5
TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0003758)
paillo (reporter)
2009-08-01 11:59
edited on: 2009-08-01 14:36

Crash seems to happen more frequently when dragging and dropping effects on video or sound track.

Bug message:

Application : Kdenlive (kdenlive), signal SIGSEGV
[Current thread is 0 (LWP 6583)]

Thread 3 (Thread 0xaeb04b90 (LWP 6595)):
#0 0xb7f47430 in __kernel_vsyscall ()
#1 0xb6508412 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb660f344 in pthread_cond_timedwait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb7f269f9 in mlt_consumer_get_frame () from /usr/lib/libmlt.so.1
0000004 0xb65059ce in pthread_mutex_lock () from /lib/tls/i686/cmov/libpthread.so.0
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 2 (Thread 0xae303b90 (LWP 6596)):
#0 0xb7f47430 in __kernel_vsyscall ()
#1 0xb65080e5 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/tls/i686/cmov/libpthread.so.0
0000002 0xb660f2ed in pthread_cond_wait () from /lib/tls/i686/cmov/libc.so.6
0000003 0xb3849d7c in ?? () from /usr/lib/mlt/libmltsdl.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb5b77920 (LWP 6583)):
[KCrash Handler]
0000006 0x080d2647 in _start ()

(0003796)
j-b-m (administrator)
2009-08-16 08:40

The random crashes when dragging effects or changing selection in timeline should be fixed now in latest svn

- Issue History
Date Modified Username Field Change
2009-08-01 11:54 paillo New Issue
2009-08-01 11:54 paillo Build/Install Method => Distribution package
2009-08-01 11:59 paillo Note Added: 0003758
2009-08-01 14:36 paillo Note Edited: 0003758 View Revisions
2009-08-16 08:40 j-b-m Note Added: 0003796
2009-08-16 08:40 j-b-m Status new => feedback
2010-02-02 11:13 j-b-m Status feedback => resolved
2010-02-02 11:13 j-b-m Fixed in Version => 0.7.6
2010-02-02 11:13 j-b-m Resolution open => fixed
2010-02-02 11:13 j-b-m Assigned To => j-b-m
2010-02-20 08:16 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker